Incompatible ATS & ETS2 version

American Truck Simulator and Euro Truck Simulator 2 were just updated to version 1.44!
We do not support this update yet, but fortunately it is possible to downgrade to 1.43.

For information on downgrading your game, please click here


Attending (14)

User
RTT4
3 days ago
User
Gab85
3 days ago
User
Sauroncg
3 days ago
User
[FR] Aven625
3 days ago
User
tomtom_145
3 days ago
User
CylindrePister
3 days ago
User
SlipShady
3 days ago
User
custa01
4 days ago
User
ale9148
1 week ago
User
Ulog
1 week ago
User
devix79
1 week ago
User
Chaturno
1 month ago
User
Al4xs
1 month ago

Unsure (1)

User
Lezint_HK
2 weeks ago